### Method

# Snapd Client get_auth_data

since: 1.0

#### Declaration [src]

    SnapdAuthData*
    snapd_client_get_auth_data (
      SnapdClient* client
    )

#### Description [src]

Get the authorization data that is used for requests.

Available since: 1.0

#### Return value

Type: `SnapdAuthData`

A `SnapdAuthData` or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.